org.springframework.web.socket.config.annotation

## Interface WebSocketHandlerRegistration

All Known Implementing Classes:
  AbstractWebSocketHandlerRegistration, ServletWebSocketHandlerRegistration

    public interface WebSocketHandlerRegistration

Provides methods for configuring a WebSocket handler.

Since:
  4.0
Author:
  Rossen Stoyanchev

### Method Summary

All Methods Instance Methods Abstract Methods
`WebSocketHandlerRegistration` `addHandler(WebSocketHandler handler, String... paths)` Add more handlers that will share the same configuration (interceptors, SockJS config, etc).
`WebSocketHandlerRegistration` `addInterceptors(HandshakeInterceptor... interceptors)` Configure interceptors for the handshake request.
`WebSocketHandlerRegistration` `setAllowedOrigins(String... origins)` Configure allowed `Origin` header values.
`WebSocketHandlerRegistration` `setHandshakeHandler(HandshakeHandler handshakeHandler)` Configure the HandshakeHandler to use.
`SockJsServiceRegistration` `withSockJS()` Enable SockJS fallback options.

### Method Detail

#### addHandler

    WebSocketHandlerRegistration addHandler(WebSocketHandler handler,
                                            String... paths)

Add more handlers that will share the same configuration (interceptors, SockJS config, etc).

#### setHandshakeHandler

    WebSocketHandlerRegistration setHandshakeHandler(HandshakeHandler handshakeHandler)

Configure the HandshakeHandler to use.

#### addInterceptors

    WebSocketHandlerRegistration addInterceptors(HandshakeInterceptor... interceptors)

Configure interceptors for the handshake request.

#### setAllowedOrigins

    WebSocketHandlerRegistration setAllowedOrigins(String... origins)

Configure allowed `Origin` header values. This check is mostly designed for browser clients. There is nothing preventing other types of client to modify the `Origin` header value.

When SockJS is enabled and origins are restricted, transport types that do not allow to check request origin (Iframe based transports) are disabled. As a consequence, IE 6 to 9 are not supported when origins are restricted.

Each provided allowed origin must start by "http://", "https://" or be "*" (means that all origins are allowed). By default, only same origin requests are allowed (empty list).

Since:
  4.1.2
See Also:
  RFC 6454: The Web Origin Concept, SockJS supported transports by browser

#### withSockJS

    SockJsServiceRegistration withSockJS()

Enable SockJS fallback options.